Name:           perl-SQL-Abstract-Classic
Version:        1.91
Release:        2%{?dist}
Summary:        Generate SQL from Perl data structures
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/SQL-Abstract-Classic/
Source0:        https://cpan.metacpan.org/authors/id/R/RI/RIBASUSHI/SQL-Abstract-Classic-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(inc::Module::Install) >= 1.06
BuildRequires:  perl(Module::Install::AutoInstall)
BuildRequires:  perl(Module::Install::Makefile)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(List::Util)
BuildRequires:  perl(mro)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Text::Balanced) >= 2.00
# Tests
BuildRequires:  perl(constant)
BuildRequires:  perl(overload)
BuildRequires:  perl(SQL::Abstract::Test)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Exception) >= 0.31
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warn)
Requires:       perl(Exporter) >= 5.57
Requires:       perl(mro)
Requires:       perl(Text::Balanced) >= 2.00
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Exporter\\)

%description
This module was inspired by the excellent DBIx::Abstract. However, in using
that module I found that what I really wanted to do was generate SQL, but
still retain complete control over my statement handles and use the DBI
interface. So, I set out to create an abstract SQL generation module.

%prep
%setup -q -n SQL-Abstract-Classic-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.91-2
- Perl 5.32 rebuild

* Wed Jun 17 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.91-1
- Specfile autogenerated by cpanspec 1.78.
